<template>
  <div v-if="isIndependentModule" class="w-full independent-lobby-container">
    <MobileGeometry v-if="isGeometryStyle" />
    <MobileConcrete v-else-if="isConcreteStyle" />
  </div>
  <slot v-else></slot>
</template>

<script setup lang="ts">
const { isIndependentModule, isConcreteStyle, isGeometryStyle } =
  useIndependentModule();
</script>

<style lang="scss">
.independent-lobby-container {
  .announcement {
    box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.25);
    border-bottom: none !important;
  }
}
</style>
